
Smart Proxy - Bug #707

next avail ip does not work when not running as root

03/04/2011 10:07 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: DHCP   

Target version: 0.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

the net-ping lib requires root access in order to create icmp pings.

we should fallback to 'ping' when we are not root/administrator.

Associated revisions

Revision 8756567d - 03/13/2011 05:23 AM - Paul Kelly

Fixes #707 - ICMP ping only for root

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 03/12/2011 08:40 AM - Paul Kelly

- Status changed from New to Ready For Testing

#2 - 03/13/2011 05:24 AM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset 8756567dba485d2146c3a3a697545f8bdc4d70de.

#3 - 03/13/2011 05:25 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
